
Redmine - Patch #1469

Mercurial adapter tests

2008-06-16 18:34 - Pierre Paysant-Le Roux

Status: Closed Start date: 2008-06-16

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version: 0.8   

Description

Here is a small patch to make mercurial adapter unit tests success. hgversion_from_command_line method is made public to make it

stubable. Without this modification, the mercurial_adapter_test.rb test success but the following repository_mercurial_test.rb (when

running rake test:units).

Associated revisions

Revision 1563 - 2008-06-18 19:02 - Jean-Philippe Lang

Mercurial adapter tests fix (#1469).

History

#1 - 2008-06-18 18:57 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version set to 0.8

Patch applied in r1563.

Files

mercurial_repository.diff 1.23 KB 2008-06-16 Pierre Paysant-Le Roux
